Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package doc
  Definition Classes
    nsc
-  package html
  Definition Classes
    doc
-  package page
  Definition Classes
    html
- Doclet
- HtmlFactory
- HtmlPage
- HtmlTags
- Page

c

scala.tools.nsc.doc.html

# Page

###
Companion object Page

#### abstract class Page extends AnyRef

Self Type
  Page
Source
  Page.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
HtmlPage, EntityPage, IndexScript
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Page
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Page()

### Abstract Value Members

1.  abstract def path: List[String]

   The path of this page, relative to the API site.

   The path of this page, relative to the API site. `path.tail` is a list of folder names leading to this page (from closest package to one-above-root package), `path.head` is the file name of this page. Note that `path` has a length of at least one.

2.  abstract def writeFor(site: HtmlFactory): Unit

   Writes this page as a file.

   Writes this page as a file. The file's location is relative to the generator's site root, and the encoding is also defined by the generator.

   site

     The generator that is writing this page.

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Page toany2stringadd[Page] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Page, B)
   Implicit
     This member is added by an implicit conversion from Page toArrowAssoc[Page] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def absoluteLinkTo(path: List[String]): String
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def createFileOutputStream(site: HtmlFactory, suffix: String = ""): FileOutputStream
10.  def ensuring(cond: (Page) => Boolean, msg: => Any): Page
    Implicit
      This member is added by an implicit conversion from Page toEnsuring[Page] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: (Page) => Boolean): Page
    Implicit
      This member is added by an implicit conversion from Page toEnsuring[Page] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean, msg: => Any): Page
    Implicit
      This member is added by an implicit conversion from Page toEnsuring[Page] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean): Page
    Implicit
      This member is added by an implicit conversion from Page toEnsuring[Page] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Page toStringFormat[Page] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hasCompanion(mbr: TemplateEntity): Boolean
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  def kindToString(mbr: MemberEntity): String
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  def relativeLinkTo(destPath: List[String]): String

    A relative link from a page's path to some destination path.

    A relative link from a page's path to some destination path.

    destPath

      The path that the link will point to.

27.  def relativeLinkTo(destClass: TemplateEntity): String

    A relative link from this page to some destination class entity.

    A relative link from this page to some destination class entity.

    destClass

      The class or object entity that the link will point to.

28.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
29.  def templateToPath(tpl: TemplateEntity): List[String]
30.  def toString(): String
    Definition Classes
      AnyRef → Any
31.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
33.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
34.  def writeFile(site: HtmlFactory, suffix: String = "")(fn: (Writer) => Unit): Unit

### Deprecated Value Members

1.  def →[B](y: B): (Page, B)
   Implicit
     This member is added by an implicit conversion from Page toArrowAssoc[Page] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromPage to any2stringadd[Page]

### Inherited by implicit conversion StringFormat fromPage to StringFormat[Page]

### Inherited by implicit conversion Ensuring fromPage to Ensuring[Page]

### Inherited by implicit conversion ArrowAssoc fromPage to ArrowAssoc[Page]

### Ungrouped